Subject: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)

From: Vincent Belaïche <[email-masked]>
Date: Fri, 30 Oct 2015 19:17:28 +0100

Dear Eli,

----------------------------------------
> Date: Fri, 30 Oct 2015 15:49:10 +0200
> From: [email-masked]
> Subject: Re: bug#21789: 25.0.50; Can' build Emacs (my first build since GIT migration)
> To: [email-masked]
> CC: [email-masked]; [email-masked]
>
>> From: Vincent Belaïche <[email-masked]>
>> Date: Fri, 30 Oct 2015 12:53:31 +0100
>> Cc: Vincent Belaïche <[email-masked]>
>>
>>
>> I am trying to build from repo. I am on MSWindows 7 with MSYS W64.
>> Here is what happens:
>>
>> $ ./autogen.sh

[...]

>> error-> autoreconf: failed to run aclocal: Bad file number
>
> Your Automake/Autoconf installation is not an MSYS installation, but a
> native Windows one, so it produces Windows CRLF EOLs, and that
> confuses all kinds of scripts and/or utilities that are involved in
> the configure process. Or maybe some of the utilities invoked by
> Automake/Autoconf are not MSYS utilities (check your PATH).
>
> You can find Automake/Autoconf suitable for building Emacs on the
> ezwinports site.
>
> IOW, this is a cockpit error.

Thank you for your kind help. After some checking, it proved out that
file configure.ac contained CRLF EOL's.

If I do:

   $ git check-attr -a -- configure.ac
   $

I get no output, so configure.ac does not have any "eol" attribute set
to "lf". And the .gitattributes files does not tell anything either.

After doing some dos2unix on configure.ac, the ./autogen.sh runs
normally and I get a configure script --- which I have not yet used.

VBR,
    Vincent Belaïche